OptimizationMethod Class Referenceabstract

`#include <methods.h>`

Inheritance diagram for OptimizationMethod:
Collaboration diagram for OptimizationMethod:

## Public Member Functions

| OptimizationMethod ()
| OptimizationMethod (Model *A)
virtual | ~OptimizationMethod ()
virtual void | initialise ()
virtual void | execute ()
virtual void | finalise () const =0

## Protected Attributes

Model * | ToAdjust

## Constructor & Destructor Documentation

## OptimizationMethod() [1/2]

OptimizationMethod::OptimizationMethod | ( |  | ) |

inline

## OptimizationMethod() [2/2]

OptimizationMethod::OptimizationMethod | ( | Model * | A | ) |

inline

## ~OptimizationMethod()

virtual OptimizationMethod::~OptimizationMethod | ( |  | ) |

inlinevirtual

## Member Function Documentation

## execute()

virtual void OptimizationMethod::execute | ( |  | ) |

inlinevirtual

Reimplemented in SimulatedAnnealing.

## finalise()

virtual void OptimizationMethod::finalise | ( |  | ) | const

pure virtual

Implemented in SimulatedAnnealing.

## initialise()

virtual void OptimizationMethod::initialise | ( |  | ) |

inlinevirtual

Reimplemented in SimulatedAnnealing.

## Field Documentation

## ToAdjust

Model* OptimizationMethod::ToAdjust

protected

The documentation for this class was generated from the following file:

- methods.h